HttpResponse.PushPromiseHandler.PushId.Http3PushId (Java SE 26 & JDK 26)
Description: declaration: module: java.net.http, package: java.net.http, interface: HttpResponse, interface: PushPromiseHandler, interface: PushId, record: Http3PushId
Keywords: java.net.http.HttpResponse.PushPromiseHandler.PushId.Http3PushId class

# Record Class HttpResponse.PushPromiseHandler.PushId.Http3PushId

java.lang.Object
java.lang.Record
java.net.http.HttpResponse.PushPromiseHandler.PushId.Http3PushId

Record Components:
  `pushId` - the pushId as a long
  `connectionLabel` - the `HttpResponse.connectionLabel()` of the HTTP/3 connection

All Implemented Interfaces:
  `HttpResponse.PushPromiseHandler.PushId`

Enclosing interface:
  `HttpResponse.PushPromiseHandler.PushId`

public static record HttpResponse.PushPromiseHandler.PushId.Http3PushId(long pushId, String connectionLabel) extends Record implements HttpResponse.PushPromiseHandler.PushId
Represents an HTTP/3 PushId.

API Note:
  The `connectionLabel` should be considered opaque, and ensures that two long pushId emitted by different connections correspond to distinct instances of `PushId`. The `pushId` corresponds to the unique push ID assigned by the server that identifies a given server push on that connection, as defined by RFC 9114, section 4.6
Since:
  26
External Specifications
  - RFC 9114: HTTP/3

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface HttpResponse.PushPromiseHandler.PushId

  `HttpResponse.PushPromiseHandler.PushId.Http3PushId`
  Modifier and Type
  Interface
  Description
  `static final record`
  `HttpResponse.PushPromiseHandler.PushId.Http3PushId`
  Represents an HTTP/3 PushId.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Http3PushId(long pushId, String connectionLabel)`
  Creates an instance of a `Http3PushId` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `connectionLabel()`
  Returns the value of the `connectionLabel` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `pushId()`
  Returns the value of the `pushId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Http3PushId

    public Http3PushId(long pushId, String connectionLabel)
    Creates an instance of a `Http3PushId` record class.
    Parameters:
      `pushId` - the value for the `pushId` record component
      `connectionLabel` - the value for the `connectionLabel` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object
    See Also:
      - `Object.toString()`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object
    See Also:
      - `Object.hashCode()`

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.
    See Also:
      - `Objects.equals(Object,Object)`

  - ### pushId

    public long pushId()
    Returns the value of the `pushId` record component.
    Returns:
      the value of the `pushId` record component

  - ### connectionLabel

    public String connectionLabel()
    Returns the value of the `connectionLabel` record component.
    Returns:
      the value of the `connectionLabel` record component